FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202103150243.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202103150243.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=e0ca988 OS_GIT_VERSION=4.5.0-202103150243.p0-e0ca988 SOURCE_DATE_EPOCH=1601065480 SOURCE_GIT_COMMIT=e0ca98802ac9c5b6a76ed039bf91fa17187c4286 SOURCE_GIT_TAG=e0ca988 SOURCE_GIT_URL=https://github.com/openshift/cluster-kube-storage-version-migrator-operator 
WORKDIR /go/src/github.com/openshift/cluster-kube-storage-version-migrator-operator
COPY . .
RUN make build --warn-undefined-variables

FROM openshift/ose-base:v4.5.0.20210315.031146
ENV __doozer=update BUILD_RELEASE=202103150243.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202103150243.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=e0ca988 OS_GIT_VERSION=4.5.0-202103150243.p0-e0ca988 SOURCE_DATE_EPOCH=1601065480 SOURCE_GIT_COMMIT=e0ca98802ac9c5b6a76ed039bf91fa17187c4286 SOURCE_GIT_TAG=e0ca988 SOURCE_GIT_URL=https://github.com/openshift/cluster-kube-storage-version-migrator-operator 
COPY --from=builder /go/src/github.com/openshift/cluster-kube-storage-version-migrator-operator/cluster-kube-storage-version-migrator-operator /usr/bin/
COPY manifests /manifests
COPY vendor/github.com/openshift/api/operator/v1/*_kube-storage-version-migrator-operator_*.yaml* /manifests

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-kube-storage-version-migrator-operator" \
        com.redhat.component="ose-cluster-kube-storage-version-migrator-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="kube-storage-version-migrator" \
        release="202103150243.p0" \
        io.openshift.build.commit.id="e0ca98802ac9c5b6a76ed039bf91fa17187c4286" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-kube-storage-version-migrator-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-kube-storage-version-migrator-operator/commit/e0ca98802ac9c5b6a76ed039bf91fa17187c4286" \
        version="v4.5.0"

